import { MonacoTreeElement, SandboxFile, SandboxFiles, SandboxProviderProps } from "..";
export interface FilesState {
    files: SandboxFiles;
    visibleFiles: Array<string>;
    activeFile: string;
}
export interface FilesOperations {
    openFile: (path: string) => void;
    setActiveFile: (path: string) => void;
    updateActiveCode: (code: string) => void;
    addFile: (files: SandboxFiles, open?: boolean) => void;
    updateFile: (path: string, data: SandboxFile) => void;
    closeFile: (path: string) => void;
    deleteFile: (path: string) => void;
    renameFile: (oldPath: string, newPath: string) => void;
    renameFolder: (nodePath: string, oldPath: string, node: MonacoTreeElement) => void;
    addFolder: (path: string) => void;
    deleteFolder: (nodePath: string, node: MonacoTreeElement) => void;
    uploadFiles: (filelist: FileList, nodePath: string) => Promise<void>;
    runCode: () => void;
    submitCode: () => void;
}
export declare type UseFiles = (props: SandboxProviderProps) => [FilesState, FilesOperations, MonacoTreeElement[]];
export declare const useFiles: UseFiles;
