import { MonoTypeOperatorFunction, OperatorFunction } from 'rxjs';
import { NgZone } from '@angular/core';
export declare function pollWhile<T>(isPollingActive: (res: T) => boolean, emitOnlyLast: boolean, time: number | {
    dueTime: number;
    period: number;
}, maxAttempts?: number, maxDelay?: number, callback?: (data: T) => void): MonoTypeOperatorFunction<T>;
export declare type ResolvablePromise<T> = Promise<T> & {
    resolve: [T] extends [undefined] ? (value?: T) => void : (value: T) => void;
    reject: (error: Error) => void;
};
export declare const resolvablePromise: <T>() => ResolvablePromise<T>;
export declare function runInZone<T>(zone: NgZone): OperatorFunction<T, T>;
